Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226072 - Merge Review: libXfontcache
Summary: Merge Review: libXfontcache
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:30 UTC by Nobody's working on this, feel free to take it
Modified: 2008-01-15 04:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-15 04:28:53 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:30:40 UTC
Fedora Merge Review: libXfontcache

http://cvs.fedora.redhat.com/viewcvs/devel/libXfontcache/
Initial Owner: sandmann@redhat.com

Comment 1 Parag AN(पराग) 2008-01-13 07:49:32 UTC
Review:
+ package builds in mock (rawhide i386).
+ rpmlint output is ok to accept
libXfontcache.i386: W: obsolete-not-provided XFree86-libs
libXfontcache.i386: W: obsolete-not-provided xorg-x11-libs
libXfontcache.src:18: W: unversioned-explicit-obsoletes XFree86-libs
libXfontcache.src:18: W: unversioned-explicit-obsoletes xorg-x11-libs
libXfontcache.src:31: W: unversioned-explicit-obsoletes XFree86-devel
libXfontcache.src:31: W: unversioned-explicit-obsoletes xorg-x11-devel
libXfontcache-devel.i386: W: obsolete-not-provided XFree86-devel
libXfontcache-devel.i386: W: obsolete-not-provided xorg-x11-devel
+ source match upstream
1adca018aa7bf2d215f20a69c10828ad  libXfontcache-1.0.4.tar.bz2

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains contents.
+ no static libraries.
+ xfontcache.pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ ldconfig scriptlets are used.
+ Package libXfontcache-1.0.4-4.fc9 =>
  Provides: libXfontcache.so.1
  Requires: libX11.so.6 libXext.so.6 libXfontcache.so.1 libc.so.6
libc.so.6(GLIBC_2.1.3) rtld(GNU_HASH)
+ Package libXfontcache-devel-1.0.4-4.fc9 =>
  Requires(pre): xorg-x11-filesystem >= 0.99.2-3
Requires: libXfontcache = 1.0.4-4.fc9 libXfontcache.so.1 pkgconfig
xorg-x11-proto-devel
+ Not a GUI app.

APPROVED.



Note You need to log in before you can comment on or make changes to this bug.